/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */
package com.sun.appserv.management.config;

import com.sun.appserv.management.base.XTypes;

/**
	 This element remains in the DTD for compatibility reasons,
	 but is no longer used.
	 @deprecated 
*/

public interface HTTPFileCacheConfig extends ConfigElement 
{
/** The j2eeType as returned by {@link com.sun.appserv.management.base.AMX#getJ2EEType}. */
	public static final String	J2EE_TYPE	= XTypes.HTTP_FILE_CACHE_CONFIG;

	public boolean	getFileCachingEnabled();
	public void	setFileCachingEnabled( final boolean value );

	public boolean	getFileTransmissionEnabled();
	public void	setFileTransmissionEnabled( final boolean value );

	public boolean	getGloballyEnabled();
	public void	setGloballyEnabled( final boolean value );

	public String	getHashInitSize();
	public void	setHashInitSize( final String value );

	public String	getMaxAgeInSeconds();
	public void	setMaxAgeInSeconds( final String value );

	public String	getMaxFilesCount();
	public void	setMaxFilesCount( final String value );

	public String	getMediumFileSizeLimitInBytes();
	public void	setMediumFileSizeLimitInBytes( final String value );

	public String	getMediumFileSpaceInBytes();
	public void	setMediumFileSpaceInBytes( final String value );

	public String	getSmallFileSizeLimitInBytes();
	public void	setSmallFileSizeLimitInBytes( final String value );

	public String	getSmallFileSpaceInBytes();
	public void	setSmallFileSpaceInBytes( final String value );
}
